Skip to main content
PATCH
cURL

Path Parameters

trace_id
string
required

ID of the trace to retrieve.

Body

application/json
request_id
string
required

Unique identifier for the trace.

timestamp_ms
required

Unix timestamp of when the trace ended in milliseconds.

status
enum<string>
required

Status of the operation being traced.

Available options:
TRACE_STATUS_UNSPECIFIED,
OK,
ERROR,
IN_PROGRESS
request_metadata
object[]
required

Other trace metadata.

tags
object[]
required

Tags for the trace.

Response

The updated trace.

trace_info
object
required